php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #24506 Unable to load php_gtk.dll
Submitted: 2003-07-05 01:31 UTC Modified: 2003-07-05 11:01 UTC
Votes:1
Avg. Score:1.0 ± 0.0
Reproduced:1 of 1 (100.0%)
Same Version:1 (100.0%)
Same OS:0 (0.0%)
From: sun4php at coolguide dot net Assigned:
Status: Not a bug Package: PHP-GTK related
PHP Version: 5.0.0b1 (beta1) OS: Windows
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: sun4php at coolguide dot net
New email:
PHP Version: OS:

 

 [2003-07-05 01:31 UTC] sun4php at coolguide dot net
Description:
------------
I tried to make my php 5 work with my existing gtk which i got by downloading from http://gtk.php.net.(Windows version 0.9b) I found out that even after setting up all the necessary extensions in php.ini and everything it is still not working.To make sure i copied all necessary php-gtk .dll's in directories like /(where my php.exe resides),/extensions,/dll's.


Now when i tried to compile my program modifying my php.ini to point to my extension dir(extension_dir = "c:\pp\extensions\") and used the following command

cd c:\pp
php -q -c c:\pp\test\hello.php

and the result was:
Error Parsing c:\pp\test\hello.php on line 4

And actually this "hello.php" was none written by me but something which came with php-gtk package and my examination has revealed no error with it.

code has been attached and line numbers have been marked untill 4.

I was wondering what went wrong?



Reproduce code:
---------------
1:<?php
2:/* $Id: hello.php,v 1.6 2002/11/25 18:22:05 fmk Exp $ */
3:
4:if (!class_exists('sqlite')) {
	if (strtoupper(substr(PHP_OS, 0, 3)) == 'WIN')
		dl('php_gtk.dll');
	else
		dl('php_gtk.so');
}


/*
 * Called when delete-event happens. Returns false to indicate that the event
 * should proceed.
 */
function delete_event()
{
	return false;
}


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2003-07-05 07:29 UTC] epplestun at alaplaya dot com
With PHP5 you can't run php-gtk 0.5.2 or slower you need the CVS source,this source is in ZE2_PORT php-gtk.

And in http://gtk.php.net the last version of PHP-GTK is 0.5.2 this is the last and stable version.
 [2003-07-05 11:01 UTC] sfox@php.net
Thank you for taking the time to write to us, but this is not
a bug. Please double-check the documentation available at
http://www.php.net/manual/ and the instructions on how to report
a bug at http://bugs.php.net/how-to-report.php

As 'epplestun' said, ZE2 (PHP5) is quite a different animal from ZE1 (PHP4. The current stable PHP-GTK version (0.5.2) should be used on win32 for the time being, as there is no ZE2_PORT binary for Windows just yet.

Cutting edge, eh?  ;)
 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Fri Jan 17 21:01:24 2020 UTC